French Forest Sector Model (FFSM++)

Laboratoire d'Economie Forestière - LEF - Nancy, France

User Tools

Site Tools


en:dev:development

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
en:dev:development [2019/02/20 15:45]
Antonello Lobianco [ColPack]
en:dev:development [2020/06/18 12:18] (current)
Antonello Lobianco Updated for Ubuntu 20.04 Some stuff as lib symlink 32/64 bits seems no longer needed
Line 8: Line 8:
 This section contains detailed instructions on how to get and install the IDE and all the necessary prerequisites,​ in both Windows or Linux environment. For the former, third party libraries (IPOPT, Adol-C, ColPack) are already available within the FFSM source code repository, so the instruction for their installation refers only to the case that a new version of them is released and the user want to upgrade to it.\\ This section contains detailed instructions on how to get and install the IDE and all the necessary prerequisites,​ in both Windows or Linux environment. For the former, third party libraries (IPOPT, Adol-C, ColPack) are already available within the FFSM source code repository, so the instruction for their installation refers only to the case that a new version of them is released and the user want to upgrade to it.\\
  
-===== Linux (Ubuntu ​18.04) =====+===== Linux (Ubuntu ​20.04) =====
  
-//See older revisions of this page for older Ubuntu systems and for tips to solving some errors no longer occurring in Ubuntu 16.10.//+//See older revisions of this page for older Ubuntu systems and for tips to solving some errors no longer occurring in Ubuntu ​18.04 and 16.10.//
  
 The following packages and their prerequisites should be installed: The following packages and their prerequisites should be installed:
 <code bash> <code bash>
 sudo apt-get install qt5-default qt5-qmake qtcreator libatlas-base-dev gfortran zlib1g-dev libboost-all-dev sudo apt-get install qt5-default qt5-qmake qtcreator libatlas-base-dev gfortran zlib1g-dev libboost-all-dev
-# Optional, for the qtcreator helper: 
-sudo apt-get install libgstreamer1.0-0 libgstreamer1.0-dev libgstreamer-plugins-base1.0-0 
 </​code>​ </​code>​
- 
-Update on ubuntu 18.04 (work in progress..) 
-There is a bug in ubuntu 18.04 
-sudo nano /​usr/​lib/​x86_64-linux-gnu/​qt5/​mkspecs/​features/​default_pre.prf 
-comment the last row "​load(toolchain)"​ 
- 
- 
  
 ==== Ipopt ==== ==== Ipopt ====
Line 48: Line 39:
 sudo make install sudo make install
 </​code>​ </​code>​
-//Notes: The web site cscapes seems to no longer exists. {{:​en:​dev:​colpack-1.0.9.tar.gz|Here is a copy of the last available ColPack library, the 1.0.9}}. // 
- 
  
  
Line 59: Line 48:
 make make
 sudo make install sudo make install
-</​code>​ 
-  * On 64 bits Linux, symlink all libadoc.* libraries from /usr/lib64 to /​usr/​lib:<​code bash> 
-cd /usr/lib 
-sudo ln -s ../​lib64/​libadolc.la .  
-sudo ln -s ../​lib64/​libadolc.so . 
-sudo ln -s ../​lib64/​libadolc.so.2 . 
-sudo ln -s ../​lib64/​libadolc.so.2.1.0 . 
 </​code>​ </​code>​
  
en/dev/development.txt · Last modified: 2020/06/18 12:18 by Antonello Lobianco